Services General issues

12/10/2019 10:28 AM - Yazan Awad

Status: Closed Start date: 12/10/2019

Priority: Normal Due date:  

Assignee: Yazan Awad % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: Production

Category: Extranet\Intranet Transaction Number:  

Sub-Category:  Browser:  

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

1- Enhance the validation messages by adding picture

2- fix the issue related to changing the users on the same session.

3- Fix the color of the labels for the Investment request service.

4- Add "loading" icon when clicking on the option "Service Submit"

5- Replace the gray background with white background on the services

6- The Date in the submission page is editable

7- When clicking on "طلب جديد" the page is closed and the workflow is not restarted, and when clicking on the "طباعة" icon, the page

only refresh

--- 5, Feb, 2020 Stage One ---

A- Membership Status Inquiry Service

--> Modify the Service name by fixing the display name from "Enquiry" to "Inquiry" 

    --> The Action "Print Request Details" should be disabled when one of the search fields is emp

ty 

    --> The Generated report is only handling Arabic reports

    --> The Print result show more fields than the displayed ones in the service result

    --> Modify the action name from "Print Reqeust Details" to "Print Request Details"

 

B- Intranet - Elections Details Inquiry Service

--> Modify the Service name by fixing the display name from "Enquiry" to "Inquiry"

 

C- Extranet - Elections Details Inquiry Service

--> Modify the Service name by fixing the display name from "Enquiry" to "Inquiry"

 

D- Investment Certificate Request 

--> After Creating new branch, Select the Investment type (Adf Error) will be displayed (Blocker)

 

--> When Inquiring the License number and clicking the save action, a pop-up dialog appeared holdi

ng the information that the data has been retrieved ... click on the action "OK" .. another pop-up
 message appears with error messages as shown in the "screenshot1"

 

--> When Inquiring the Branch Auto Number, the action "Save" is not working  --> Blocker

 

E- Extranet - Complaint Request

--> After filling all the fields, then clicking on the "Next" Action, the service is refreshed and

 it empties all the fields without going to the next page.

 

F- Intranet - Complaint Request

--> After filling all the fields, then clicking on the "Next" Action, the service is refreshed and

 it empties all the fields without going to the next page.

 

G- Open file Service

--> the submission page needs to be redesigned to handle the images and the document number

 

--- Remaining Issues in Stage One ---

1- Apply the New Skin

2- Fix the Session Issue for users

3- Change the color of the sections in the Investment Request Service

4- Change the action Name from  "Print Reqeust Details" to "Print Request Details"

5- Fix the submission Page in English for Open File Service

History

#1 - 12/29/2019 01:44 PM - Yazan Awad

- Description updated

#2 - 01/08/2020 10:40 AM - Yazan Awad

- Project changed from Sprint-8 to Sprint-10

#3 - 02/05/2020 05:45 PM - Yazan Awad

- File Screenshot1.PNG added

- Description updated

#4 - 02/06/2020 01:41 PM - Yazan Awad

- Description updated

1- Enhance the validation messages by adding picture (Fixed)

2- fix the issue related to changing the users on the same session. (Not Fixed)

3- Fix the color of the labels for the Investment request service.(Not Fixed)

#5 - 02/09/2020 01:14 PM - Yazan Awad

- Description updated

#6 - 02/09/2020 10:32 PM - Yazan Awad
@rahmeh same issue is duplicated when clicking "OK" after filling the inquiry fields

#7 - 02/10/2020 04:34 PM - Yazan Awad

- Description updated

#8 - 02/19/2020 12:02 PM - Yazan Awad

A- Membership Status Inquiry Service

--> Modify the Service name by fixing the display name from "Enquiry" to "Inquiry"  (Fixed)

--> The Action "Print Request Details" should be disabled when one of the search fields is empty   (Fixed)

--> The Generated report is only handling Arabic reports (Based on Tariq .. Ignored)

--> The Print result show more fields than the displayed ones in the service result (Based on Tariq .. Ignored)

--> Modify the action name from "Print Reqeust Details" to "Print Request Details"  (Not Fixed)

B- Intranet - Elections Details Inquiry Service

--> Modify the Service name by fixing the display name from "Enquiry" to "Inquiry"  (Fixed)

C- Extranet - Elections Details Inquiry Service

--> Modify the Service name by fixing the display name from "Enquiry" to "Inquiry"  (Fixed)

D- Investment Certificate Request

--> After Creating new branch, Select the Investment type (Adf Error) will be displayed (Blocker)    (Fixed)

--> When Inquiring the License number and clicking the save action, a pop-up dialog appeared holding the information that the data has been

retrieved ... click on the action "OK" .. another pop-up message appears with error messages as shown in the "screenshot1"

--> When Inquiring the Branch Auto Number, the action "Save" is not working  --> Blocker   (Fixed)

E- Extranet - Complaint Request

--> After filling all the fields, then clicking on the "Next" Action, the service is refreshed and it empties all the fields without going to the next page. 

(Fixed)

F- Intranet - Complaint Request

--> After filling all the fields, then clicking on the "Next" Action, the service is refreshed and it empties all the fields without going to the next page. 

(Fixed)

G- Open file Service

--> the submission page needs to be redesigned to handle the images and the document number   (Fixed for Arabic language only)

#9 - 02/19/2020 12:06 PM - Yazan Awad

- Description updated

#10 - 03/03/2020 04:44 PM - Yazan Awad
- Description updated

#11 - 03/04/2020 11:57 AM - Yazan Awad

- Description updated

#12 - 03/04/2020 12:42 PM - Yazan Awad

- Description updated

#13 - 03/08/2020 05:00 PM - Yazan Awad

Dear Zaid can we reduce the font size for the title of the dialog

#14 - 03/29/2020 06:49 PM - Yazan Awad

- File Screenshot 1.PNG added

- File Screenshot 2.PNG added

- File Screenshot 3.PNG added

- File Screenshot 4.1.PNG added

- File Screenshot 4.2.PNG added

New issues:

- The "New Request" icon is smaller than the other icons on the Complaint request submission page as shown in "Screenshot 1"

- The Date Fields value needs to be aligned in all services as shown in "Screenshot 2"

- in the "Investment Certificate request" service, the "investment Type" column is not displaying the values in the middle (in Arabic and English) as

shown in the "Screenshot 3"

- When opening any Branch number, the menu that contains "New Request , Cancel Request, etc ..) is not matching the new skin as shown in

"Screenshot 4.1" and "Screenshot 4.2"

- in the Open File Service, when the user creates "New Request" after submitting the first one, and Start filling the fields in the "Basic Information tab

an error appears in Arabic "في حالة تغيير البيانات الأساسية لصاحب الملف ، سوف يتم حذف جميع بيانات الأفراد في الملف إن وجدت" and

when filling the fields in English no error message appears but the fields is being emptied

- The Submission page is displaying old data

- Fix the table “نفاصيل الدخل” on the open file service

#15 - 03/29/2020 06:50 PM - Yazan Awad

- The "New Request" icon is smaller than the other icons on the Complaint request submission page as shown in "Screenshot 1" ((Fixed))

- The Date Fields value needs to be aligned in all services as shown in "Screenshot 2" ((Fixed))

- in the "Investment Certificate request" service, the "investment Type" column is not displaying the values in the middle (in Arabic and English) as

shown in the "Screenshot 3" ((Fixed))

- When opening any Branch number, the menu that contains "New Request , Cancel Request, etc ..) is not matching the new skin as shown in

"Screenshot 4.1" and "Screenshot 4.2" ((Ignored due to Sa'ed))

- in the Open File Service, when the user creates "New Request" after submitting the first one, and Start filling the fields in the "Basic Information tab

an error appears in Arabic "في حالة تغيير البيانات الأساسية لصاحب الملف ، سوف يتم حذف جميع بيانات الأفراد في الملف إن وجدت" and

when filling the fields in English no error message appears but the fields is being emptied ((Fixed))

- The Submission page is displaying old data ((Fixed))

- Fix the table “نفاصيل الدخل” on the open file service
#16 - 04/05/2020 05:48 PM - Yazan Awad

Feedback on Phase 2:

1- the display action in the table inside "الاستعلام عن تفاصيل الانتخابات" is presenting the values of the first row only (Fixed)

2- Modify the table in the section "بيانات مستحق المساعدة" to fit in the screen without scrolling, by removing the empty column and minimizing the

spaces for the other columns so that we can display the mandatory action "تفاصيل الدخل" without scrolling (Fixed)

3- Make a generic submission message for All activities in the Investment Service (New, Renew, Cancel) (Fixed)

#17 - 06/03/2020 12:48 PM - Yazan Awad

- Status changed from Open to Closed

- Assignee changed from Rahmeh Al Naimat to Yazan Awad

- % Done changed from 0 to 100

- Environment Production added

- Environment deleted (QA)

All of the mentioned feedback have been fixed, this task can be closed now.

Files

Screenshot1.PNG 38.1 KB 02/05/2020 Yazan Awad

Screenshot 2.PNG 28.4 KB 03/29/2020 Yazan Awad

Screenshot 1.PNG 37.8 KB 03/29/2020 Yazan Awad

Screenshot 4.1.PNG 10.3 KB 03/29/2020 Yazan Awad

Screenshot 3.PNG 48.9 KB 03/29/2020 Yazan Awad

Screenshot 4.2.PNG 21.5 KB 03/29/2020 Yazan Awad
